Subject: Re: bug#54063: automake cannot run without generated Texinfo manual

From: Patrice Dumas <[email-masked]>
Date: Fri, 25 Feb 2022 16:48:56 +0100

On Thu, Feb 24, 2022 at 10:32:20PM -0500, Mike Frysinger wrote:
> > The only issue I see is if after the
> > file is generated the @setfilename is not the same as the file base name
> > there will be errors.  I do not think that automake should support that
> > setup, but maybe it would be good to state it in the documentation.
> > Maybe something like:
> > 
> > "Texinfo files that are generated should have a basename matching
> > @setfilename, if there is a @setfilename."
> 
> sounds reasonable, but i don't think this is a new issue.

It is not new, sure, but before this change Texinfo generated file were
most probably uncommon, and could be much more common and therefore
there could be more risk for that kind of mismatch now.  Non generated
files can have a basename not matching with the @setfilename without
that being a problem, I think (though I did not test...).

-- 
Pat